import { BaseReviver } from "./baseReviver.js";
export declare class DateReviver implements BaseReviver<Date> {
    nativeTypeName(): string;
    isInstance(value: unknown): value is Date;
    serialize(value: Date): Record<string, unknown>;
    validate(value: Record<string, unknown>): boolean;
    revive(value: Record<string, unknown>): Date;
}
